All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
ValueHolder Class Reference

holds an object and dereferences it in the destructor More...

`#include <QoreValue.h>`

Inheritance diagram for ValueHolder:
[legend]
Collaboration diagram for ValueHolder:
[legend]

## Public Member Functions

DLLLOCAL | ValueHolder (ExceptionSink *xs)
| creates an empty object
DLLLOCAL | ValueHolder (QoreValue n_v, ExceptionSink *xs)
| creates the object with the given value
DLLEXPORT | ~ValueHolder ()
| dereferences any contained node
DLLEXPORT AbstractQoreNode * | getReferencedValue ()
| returns a referenced AbstractQoreNode ptr; caller owns the reference; the current object is left empty
DLLLOCAL | operator bool () const
| returns true if holding an AbstractQoreNode reference
DLLLOCAL QoreValue & | operator= (QoreValue nv)
| assigns the object, any currently-held value is dereferenced before the assignment
DLLEXPORT QoreValue | release ()
| returns a QoreValue object and leaves the current object empty; the caller owns any reference contained in the return value
Public Member Functions inherited from ValueHolderBase
DLLLOCAL | ValueHolderBase (ExceptionSink *xs)
| creates an ampty object
DLLLOCAL | ValueHolderBase (QoreValue n_v, ExceptionSink *xs)
| creates the object with the given value
DLLLOCAL QoreValue & | operator* ()
| returns the value being managed
DLLLOCAL QoreValue * | operator-> ()
| returns the value being managed

## Additional Inherited Members

Protected Attributes inherited from ValueHolderBase
QoreValue | v
| the vlaue held
ExceptionSink * | xsink
| for possible Qore-language exceptions

## Detailed Description

holds an object and dereferences it in the destructor

The documentation for this class was generated from the following file:

- include/qore/QoreValue.h (79e5dd4f976dab9d74ec8272aec97c21df86c597)